Draft BSpline

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft BSpline and the translation is 81% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft Dimension.svg Dimension
Next: Point Draft Point.svg Arrow-right.svg

Draft BSpline.svg BSpline

Menü konumu
Taslak → BSpline
Tezgahlar
Taslak, Yapı
Varsayılan kısayol
B S
Versiyonda tanıtıldı
0.7
Ayrıca bkz
Tel,Bezier eğrisi


Açıklama

BSpline aracı, mevcut Çalışma düzleminde birçok noktadan B-Spline eğrisi oluşturur.Tepsi 'de ayarlanan Çizgi stili alır.

BSpline aracı Tel aracı gibi davranır, ancak bölümlerinin her biri düz bir çizgi yerine eğridir. Birini diğerine dönüştürmek için Telden BSpline çevir kullanın.

BSpline aracı, eğrinin geçeceği noktaları belirtir; Öte yandan, Bezier eğrisi aracı, eğrinin yönünü tanımlamak için control points kullanır. Tam dairesel veya eliptik eğriler oluşturmak için, Yay ve Elips kullanın.

Draft bspline example.jpg

Spline birçok noktayla tanımlanır


Nasıl kullanılır

  1. Draft BSpline.png BSpline düğmesine basın veya B ardından S tuşuna basın
  2. 3D görünümde bir ilk noktaya tıklayın veya bir koordinat yazın ve Draft AddPoint.svg Nokta ekle tuşuna basın.
  3. 3D görünümünde ek noktalara tıklayın veya bir koordinate yazın ve Draft AddPoint.svg Nokta ekle düğmesine basın.
  4. Basımı tamamlamak için Esc veya Kapat tuşuna basınız.

Spline, ağaç görünümündeki öğeye çift tıklayarak veya Draft Edit.png Düzenle düğmesine basılarak düzenlenebilir. Ardından noktaları yeni bir konuma taşıyabilir veya Draft AddPoint.svg Nokta ekle veya Draft DelPoint.svg Nokta kaldır ve ardından noktaları eklemek veya kaldırmak için teli tıklatın.

Seçenekler

  • Spline'ı açık bırakmak için A veya Draft FinishLine.png Çizgiyi bitir düğmesine basın.
  • Oya veya Draft CloseLine.png Çizgiyi kapat Spline kapatmak için düğmelerine basın. Bir yüz oluşturmak için son noktadan ilkine bir eğri eklenecektir. Bir yüz oluşturmak için en az üç nokta gerekir.
  • Önceden yerleştirilmiş eğri parçalarını kaldırmak için W veya Draft Wipe.svg Kaldır düğmesine basın, ancak spline'ı son noktadan düzenlemeye devam edin.
  • Geçerli çalışma düzlemini en son yönde ayarlamak için U veya Draft SelectPlane.svg Set WP düğmesine basın puan.
  • Verilen eksendeki bir sonraki noktayı sınırlamak için bir noktadan sonra X, Y veya Z tuşlarına basın.
  • Koordinatları manuel olarak girmek için sayıları girin, ardından her bir X, Y ve Z bileşeni arasında Enter tuşuna basın. Noktayı yerleştirmek istediğiniz değerleri aldığınızda Draft AddPoint.svg Nokta ekle düğmesine basabilirsiniz.
  • Görecelimoduna geçmek için R tuşuna basın veya onay kutusunu tıklayın. Göreceli mod açıksa, bir sonraki noktanın koordinatları sonuncusuna göre değişir; değilse, kesindir, kökenlerinden alınır (0,0,0).
  • Devam moduna geçmek için T tuşuna basın veya onay kutusunu tıklayın. Devam modu açıksa, spline'ı bitirdikten sonra BSpline aracı yeniden başlatılır ve alet düğmesine tekrar basmadan bir tane daha çizmenize olanak sağlar.
  • Dolu moduna geçmek için L tuşuna basın veya onay kutusunu tıklayın. Dolu mod açıksa, kapalı bir eğri dolu bir yüz oluşturur (VERİYüz yapmak True); Aksi halde, kapalı spline bir surat yapmaz (VERİYüz yapmak False).
Note: Spline uygun bir yüz oluşturmayacağından kendisiyle kesiştiği takdirde doldurulmamalıdır. Spline doldurulur ancak şekli görünmüyorsa, spline'ı görmek için VERİYüz yapmak 'i False' e manuel olarak ayarlayın.
  • snapping noktanızı mesafeden bağımsız olarak, en yakın çeki konumuna yönlendirmek için çizim yaparken Ctrl tuşunu basılı tutun.
  • Bir sonraki noktanızı yatay veya dikey olarak son noktaya göre sınırlamak çizerken Shift tuşunu basılı tutun.
  • Son noktayı geri almak için Ctrl Z tuşuna basınız veya 12px Geri alma düğmesine basınız. .
  • Geçerli komutu iptal etmek için Esc veya Close tuşuna basınız; Önceden yerleştirilmiş eğri parçaları kalacaktır.

Özellikler

Bir BSpline nesnesi bir Tel ürünündeki çoğu özelliği paylaşır, ancak çoğu özellik yalnızca bir Tel için anlamlıdır.

Veri

  • DATA Closed: Spline'ın kapalı olup olmadığını belirtir. Spline başlangıçta açıksa, bu değer False; True olarak ayarlamak, spline'ı kapatmak için bir eğri parçası çizecektir. Spline başlangıçta kapatılırsa, bu değer True; False olarak ayarlamak, son eğri parçasını kaldıracak ve spline'ı açacaktır.
  • DATA Make Face: Spline'ın bir surat yapıp yapmayacağını belirtir. Eğer True ise bir yüz yaratılır, aksi takdirde sadece çevre nesnenin bir parçası olarak kabul edilir. Bu özellik yalnızca DATA Closed True ise çalışır. : Template:Vurgu, eğer spline uygun bir yüz oluşturmayacağından kendisiyle kesiştiğinde DATA Make Face ayarını True olarak ayarlamayın.
  • DATA Parameterization: BSpline'ın şeklini etkiler.

Görünüm

  • VIEW Arrow Size: spline sonunda görüntülenen sembolün boyutunu belirtir.
  • VIEW Arrow Type: spline sonunda "Dot", "Circle", "Arrow" veya "Tick" olabilen sembol tipini belirtir.
  • VIEW End Arrow: Spline'ın son noktasında bir sembol gösterilip gösterilmeyeceğini belirtir, böylece bir açıklama satırı olarak kullanılabilir.
  • VIEW Pattern: kapalı bir spline'ın yüzünü doldurmak için bir Draft Pattern belirtir. Bu özellik yalnızca DATA Make Face True ise ve VIEW Display Mode "Düz Çizgiler" ise çalışır.
  • VIEW Pattern Size: Taslak Deseni 'nin boyutunu belirtir.

Betik

Ayrıca bkz.: Taslak API ve FreeCAD Betik esasları.

BSpline aracı, aşağıdaki işlevi kullanarak makrolar ve Python konsolundan kullanılabilir:

BSpline = makeBSpline(pointslist, closed=False, placement=None, face=None, support=None)
BSpline = makeBSpline(Part.Wire, closed=False, placement=None, face=None, support=None)
  • Belirtilen nokta listesinden bir BSpline nesnesi oluşturur, pointslist.
    • Listedeki her nokta, FreeCAD.Vector ile tanımlanır ve birim milimetre cinsinden tanımlanır.
    • Alternatif olarak, giriş, noktaların çıkarıldığı bir Part.Wire olabilir.
  • Template:İncode True ise veya ilk ve son noktalar aynıysa, tel kapanır.
  • Bir placement verilirse kullanılır; Aksi halde, şekil başlangıçta oluşturulur.
  • Eğer face True ise ve spline kapalıysa, spline bir yüz çizer, yani dolu görünür.

Örnek:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(2000, 0, 0)

BSpline1 = Draft.makeBSpline([p1, p2, p3], closed=True)
BSpline2 = Draft.makeBSpline([p1, 2*p3, 1.3*p2], closed=True)
BSpline3 = Draft.makeBSpline([1.3*p3, p1, -1.7*p2], closed=True)